/*
*
* Lista de constantes utilizadas por Excel
* Necesario para la clase tExcel para Xailer
*
* Recopilado en el 2018 por Bingen
*
*/


//Window sizes
#define xlMaximized        -4137
#define xlMinimized        -4140
#define xlNormal           -4143



//FileFormats
#define xlAddIn               18                //Complemento de Microsoft Excel 97-2003 *.xla
#define xlAddIn8              18                //Complemento de Microsoft Excel 97-2003 *.xla
#define xlCSV                  6                //CSV *.csv
#define xlCSVMac              22                //CSV de Macintosh *.csv
#define xlCSVMSDOS            24                //CSV de MSDOS *.csv
#define xlCSVWindows          23                //CSV de Windows *.csv
#define xlCurrentPlatformText -4158             //Texto de la plataforma actual *.txt
#define xlDBF2                 7                //Formato dBASE 2 *.dbf
#define xlDBF3                 8                //Formato dBASE 3 *.dbf
#define xlDBF4                11                //Formato dBASE 4 *.dbf
#define xlDIF                  9                //Formato de intercambio de datos *.dif
#define xlExcel12             50                //Libro binario de Excel *.xlsb
#define xlExcel2              16                //Excel versin 2.0 (1987) *.xls
#define xlExcel2FarEast       27                //Excel versin 2.0 Lejano Oriente (1987) *.xls
#define xlExcel3              29                //Excel versin 3.0 (1990) *.xls
#define xlExcel4              33                //Excel versin 4.0 (1992) *.xls
#define xlExcel4Workbook      35                //Excel versin 4.0.Formato de libro (1992) *.xlw
#define xlExcel5              39                //Excel versin 5.0 (1994) *.xls
#define xlExcel7              39                //Excel 95 (versin 7.0) *.xls
#define xlExcel8              56                //Libro de Excel 97-2003 *.xls
#define xlExcel9795           43                //Excel versin 95 y 97 *.xls
#define xlHtml                44                //Formato HTML .htm; *.HTML
#define xlIntlAddIn           26                //Complemento internacional Sin extensin de archivo
#define xlIntlMacro           25                //Macro internacional Sin extensin de archivo
#define xlOpenDocumentSpreadsheet   60          //Hoja de clculo de OpenDocument *.ODS
#define xlOpenXMLAddIn        55                //Complemento Open XML *.xlam
#define xlOpenXMLStrictWorkbook     61          // Archivo Open XML estricto *.xlsx
#define xlOpenXMLTemplate     54                //Plantilla de Open XML *.xltx
#define xlOpenXMLTemplateMacroEnabled  53       //Macro de plantilla de Open XML habilitada *.xltm
#define xlOpenXMLWorkbook     51                //Libro de Open XML *.xlsx
#define xlOpenXMLWorkbookMacroEnabled  52       //Macro de plantilla de libro Open XML habilitada *.xlsm
#define xlSYLK                 2                //Formato de vnculo simblico *.slk
#define xlTemplate            17                //Formato de plantilla de Excel *.xlt
#define xlTemplate8           17                //Plantilla 8 *.xlt
#define xlTextMac             19                //Texto de Macintosh *.txt
#define xlTextMSDOS           21                //Texto de MSDOS *.txt
#define xlTextPrinter         36                //Texto de impresora *.prn
#define xlTextWindows         20                //Texto de Windows *.txt
#define xlUnicodeText         42                //Texto Unicode Sin extensin de archivo; *.txt
#define xlWebArchive          45                //Archivo web .mht; *.mhtml
#define xlWJ2WD1              14                //Japons 1-2-3 *.WJ2
#define xlWJ3                 40                //Japons 1-2-3 *.WJ3
#define xlWJ3FJ3              41                //Formato japons 1-2-3 *.WJ3
#define xlWK1                  5                //Formato de Lotus 1-2-3 *.wk1
#define xlWK1ALL              31                //Formato de Lotus 1-2-3 *.wk1
#define xlWK1FMT              30                //Formato de Lotus 1-2-3 *.wk1
#define xlWK3                 15                //Formato de Lotus 1-2-3 *.wk3
#define xlWK3FM3              32                //Formato de Lotus 1-2-3 *.wk3
#define xlWK4                 38                //Formato de Lotus 1-2-3 *.wk4
#define xlWKS                  4                //Formato de Lotus 1-2-3 *.wks
#define xlWorkbookDefault     51                //Valor predeterminado de hoja de clculo *.xlsx
#define xlWorkbookNormal   -4143                //Normal de libro *.xls
#define xlWorks2FarEast       28                //Formato del Lejano Oriente de Microsoft Works 2.0 *.wks
#define xlWQ1                 34                //Formato de Quattro Pro *.wq1
#define xlXMLSpreadsheet      46                //Hoja de clculo XML *.xml


//BordersLineStyle
#define xlContinuous           1
#define xlDash             -4115
#define xlDashDot              4
#define xlDashDotDot           5
#define xlDot              -4118
#define xlDouble           -4119
#define xlLineStyleNone    -4142
#define xlSlantDashDot        13

//BordersIndex
#define xlDiagonalDown         5
#define xlDiagonalUp           6
#define xlEdgeBottom           9
#define xlEdgeLeft             7
#define xlEdgeRight           10
#define xlEdgeTop              8
#define xlInsideHorizontal    12
#define xlInsideVertical      11

//BordersWeight
#define xlHairline             1
#define xlMedium           -4138
#define xlThick                4
#define xlThin                 2

#define xAxis                  1
#define yAxis                  2
#define xPrinterSetUp          9
#define xPrint                 8


//Formatos de graficacin
#define xl3DArea                 -4098            //rea 3D.
#define xl3DAreaStacked          78            //rea 3D apilada.
#define xl3DAreaStacked100          79            //rea apilada 100%.
#define xl3DBarClustered          60            //Barra 3D agrupada.
#define xl3DBarStacked              61            //Barra 3D apilada.
#define xl3DBarStacked100          62            //Barra 3D apilada 100%.
#define xl3DColumn               -4100            //Columna 3D.
#define xl3DColumnClustered          54            //Columna 3D agrupada.
#define xl3DColumnStacked          55            //Columna 3D apilada.
#define xl3DColumnStacked100          56            //Columna 3D apilada 100%.
#define xl3DLine          - 4101            //Lnea 3D.
#define xl3DPie          - 4102            //Circular 3D.
#define xl3DPieExploded          70            //Circular seccionado 3D.
#define xlArea          1            //rea
#define xlAreaStacked          76            //rea apilada.
#define xlAreaStacked100          77            //rea apilada 100%.
#define xlBarClustered          57            //Barra agrupada.
#define xlBarOfPie          71            //Circular con subgrfico de barras.
#define xlBarStacked          58          //Barra apilada.
#define xlBarStacked100          59            //Barra apilada 100%.
#define xlBubble          15            //Burbuja.
#define xlBubble3DEffect          87            //Burbuja con efectos 3D.
#define xlColumnClustered          51            //Columna agrupada.
#define xlColumnStacked          52            //Columna apilada.
#define xlColumnStacked100          53            //Columna apilada 100%.
#define xlConeBarClustered          102            //Barra cnica agrupada.
#define xlConeBarStacked          103            //Barra cnica apilada.
#define xlConeBarStacked100          104            //Barra cnica apilada 100%.
#define xlConeCol          105            //Columna cnica 3D.
#define xlConeColClustered          99            //Columna cnica agrupada.
#define xlConeColStacked          100            //Columna cnica apilada.
#define xlConeColStacked100          101            //Columna cnica apilada 100%.
#define xlCylinderBarClustered          95            //Barra cilndrica agrupada.
#define xlCylinderBarStacked          96            //Barra cilndrica apilada.
#define xlCylinderBarStacked100          97            //Barra cilndrica apilada 100%.
#define xlCylinderCol          98            //Columna cilndrica 3D.
#define xlCylinderColClustered          92            //Columna cnica agrupada.
#define xlCylinderColStacked          93            //Columna cnica apilada.
#define xlCylinderColStacked100          94            //Columna cilndrica apilada 100%.
#define xlDoughnut          - 4120            //Anillos.
#define xlDoughnutExploded          80            //Anillos seccionado.
#define xlLine          4            //Lnea.
#define xlLineMarkers          65            //Lnea con marcadores.
#define xlLineMarkersStacked          66            //Lnea apilada con marcadores.
#define xlLineMarkersStacked100          67            //Lnea apilada 100% con marcadores.
#define xlLineStacked          63            //Lnea apilada.
#define xlLineStacked100          64            //Lnea apilada 100%.
#define xlPie          5            //Circular.
#define xlPieExploded          69            //Circular seccionado.
#define xlPieOfPie          68            //Circular con subgrfico circular.
#define xlPyramidBarClustered          109            //Barra piramidal agrupada.
#define xlPyramidBarStacked          110            //Barra piramidal apilada.
#define xlPyramidBarStacked100          111            //Barra piramidal apilada 100%.
#define xlPyramidCol          112            //Columna piramidal 3D.
#define xlPyramidColClustered          106            //Columna piramidal agrupada.
#define xlPyramidColStacked          107            //Columna piramidal apilada.
#define xlPyramidColStacked100          108            //Columna piramidal apilada 100%.
#define xlRadar          - 4151            //Radial.
#define xlRadarFilled          82            //Radial relleno.
#define xlRadarMarkers          81            //Radial con marcadores de datos.
#define xlStockHLC          88            //Mximos, mnimos, cierre.
#define xlStockOHLC          89            //Apertura, mximos, mnimos, cierre.
#define xlStockVHLC          90            //Volumen, mximos, mnimos, cierre.
#define xlStockVOHLC          91            //Volumen, apertura, mximos, mnimos, cierre.
#define xlSurface          83            //Superficie 3D.
#define xlSurfaceTopView          85            //Superficie (vista superior).
#define xlSurfaceTopViewWireframe          86            //Superficie (vista superior de la trama).
#define xlSurfaceWireframe          84            //Superficie 3D (trama).
#define xlXYScatter          - 4169            //Dispersin.
#define xlXYScatterLines          74            //Dispersin con lneas.
#define xlXYScatterLinesNoMarkers          75            //Dispersin con lneas y sin marcadores de datos.
#define xlXYScatterSmooth          72            //Dispersin con lneas suavizadas.
#define xlXYScatterSmoothNoMarkers          73            //Dispersin con lneas suavizadas y sin marcadores de datos.




#define _xlDialogChartSourceData                 541
#define _xlDialogPhonetic                        538
#define rgbAliceBlue                             16775408
#define rgbAntiqueWhite                          14150650
#define rgbAqua                                  16776960
#define rgbAquamarine                            13959039
#define rgbAzure                                 16777200
#define rgbBeige                                 14480885
#define rgbBisque                                12903679
#define rgbBlack                                 0
#define rgbBlanchedAlmond                        13495295
#define rgbBlue                                  16711680
#define rgbBlueViolet                            14822282
#define rgbBrown                                 2763429
#define rgbBurlyWood                             8894686
#define rgbCadetBlue                             10526303
#define rgbChartreuse                            65407
#define rgbCoral                                 5275647
#define rgbCornflowerBlue                        15570276
#define rgbCornsilk                              14481663
#define rgbCrimson                               3937500
#define rgbDarkBlue                              9109504
#define rgbDarkCyan                              9145088
#define rgbDarkGoldenrod                         755384
#define rgbDarkGray                              11119017
#define rgbDarkGreen                             25600
#define rgbDarkGrey                              11119017
#define rgbDarkKhaki                             7059389
#define rgbDarkMagenta                           9109643
#define rgbDarkOliveGreen                        3107669
#define rgbDarkOrange                            36095
#define rgbDarkOrchid                            13382297
#define rgbDarkRed                               139
#define rgbDarkSalmon                            8034025
#define rgbDarkSeaGreen                          9419919
#define rgbDarkSlateBlue                         9125192
#define rgbDarkSlateGray                         5197615
#define rgbDarkSlateGrey                         5197615
#define rgbDarkTurquoise                         13749760
#define rgbDarkViolet                            13828244
#define rgbDeepPink                              9639167
#define rgbDeepSkyBlue                           16760576
#define rgbDimGray                               6908265
#define rgbDimGrey                               6908265
#define rgbDodgerBlue                            16748574
#define rgbFireBrick                             2237106
#define rgbFloralWhite                           15792895
#define rgbForestGreen                           2263842
#define rgbFuchsia                               16711935
#define rgbGainsboro                             14474460
#define rgbGhostWhite                            16775416
#define rgbGold                                  55295
#define rgbGoldenrod                             2139610
#define rgbGray                                  8421504
#define rgbGreen                                 32768
#define rgbGreenYellow                           3145645
#define rgbGrey                                  8421504
#define rgbHoneydew                              15794160
#define rgbHotPink                               11823615
#define rgbIndianRed                             6053069
#define rgbIndigo                                8519755
#define rgbIvory                                 15794175
#define rgbKhaki                                 9234160
#define rgbLavender                              16443110
#define rgbLavenderBlush                         16118015
#define rgbLawnGreen                             64636
#define rgbLemonChiffon                          13499135
#define rgbLightBlue                             15128749
#define rgbLightCoral                            8421616
#define rgbLightCyan                             9145088
#define rgbLightGoldenrodYellow                  13826810
#define rgbLightGray                             13882323
#define rgbLightGreen                            9498256
#define rgbLightGrey                             13882323
#define rgbLightPink                             12695295
#define rgbLightSalmon                           8036607
#define rgbLightSeaGreen                         11186720
#define rgbLightSkyBlue                          16436871
#define rgbLightSlateGray                        10061943
#define rgbLightSlateGrey                        10061943
#define rgbLightSteelBlue                        14599344
#define rgbLightYellow                           14745599
#define rgbLime                                  65280
#define rgbLimeGreen                             3329330
#define rgbLinen                                 15134970
#define rgbMaroon                                128
#define rgbMediumAquamarine                      11206502
#define rgbMediumBlue                            13434880
#define rgbMediumOrchid                          13850042
#define rgbMediumPurple                          14381203
#define rgbMediumSeaGreen                        7451452
#define rgbMediumSlateBlue                       15624315
#define rgbMediumSpringGreen                     10156544
#define rgbMediumTurquoise                       13422920
#define rgbMediumVioletRed                       8721863
#define rgbMidnightBlue                          7346457
#define rgbMintCream                             16449525
#define rgbMistyRose                             14804223
#define rgbMoccasin                              11920639
#define rgbNavajoWhite                           11394815
#define rgbNavy                                  8388608
#define rgbNavyBlue                              8388608
#define rgbOldLace                               15136253
#define rgbOlive                                 32896
#define rgbOliveDrab                             2330219
#define rgbOrange                                42495
#define rgbOrangeRed                             17919
#define rgbOrchid                                14053594
#define rgbPaleGoldenrod                         7071982
#define rgbPaleGreen                             10025880
#define rgbPaleTurquoise                         15658671
#define rgbPaleVioletRed                         9662683
#define rgbPapayaWhip                            14020607
#define rgbPeachPuff                             12180223
#define rgbPeru                                  4163021
#define rgbPink                                  13353215
#define rgbPlum                                  14524637
#define rgbPowderBlue                            15130800
#define rgbPurple                                8388736
#define rgbRed                                   255
#define rgbRosyBrown                             9408444
#define rgbRoyalBlue                             14772545
#define rgbSalmon                                7504122
#define rgbSandyBrown                            6333684
#define rgbSeaGreen                              5737262
#define rgbSeashell                              15660543
#define rgbSienna                                2970272
#define rgbSilver                                12632256
#define rgbSkyBlue                               15453831
#define rgbSlateBlue                             13458026
#define rgbSlateGray                             9470064
#define rgbSlateGrey                             9470064
#define rgbSnow                                  16448255
#define rgbSpringGreen                           8388352
#define rgbSteelBlue                             11829830
#define rgbTan                                   9221330
#define rgbTeal                                  8421376
#define rgbThistle                               14204888
#define rgbTomato                                4678655
#define rgbTurquoise                             13688896
#define rgbViolet                                15631086
#define rgbWheat                                 11788021
#define rgbWhite                                 16777215
#define rgbWhiteSmoke                            16119285
#define rgbYellow                                65535
#define rgbYellowGreen                           3329434
#define xl24HourClock                            33
#define xl3Arrows                                1
#define xl3ArrowsGray                            2
#define xl3Flags                                 3
#define xl3Signs                                 6
#define xl3Symbols                               7
#define xl3Symbols2                              8
#define xl3TrafficLights1                        4
#define xl3TrafficLights2                        5
#define xl4Arrows                                9
#define xl4ArrowsGray                            10
#define xl4CRV                                   12
#define xl4DigitYears                            43
#define xl4RedToBlack                            11
#define xl4TrafficLights                         13
#define xl5Arrows                                14
#define xl5ArrowsGray                            15
#define xl5CRV                                   16
#define xl5Quarters                              17
#define xlA1                                     1
#define xlAbove                                  0
#define xlAboveAverage                           0
#define xlAboveAverageCondition                  12
#define xlAboveStdDev                            4
#define xlAbsolute                               1
#define xlAbsRowRelColumn                        2
#define xlAccounting1                            4
#define xlAccounting2                            5
#define xlAccounting3                            6
#define xlAccounting4                            17
#define xlActionTypeDrillthrough                 256
#define xlActionTypeReport                       128
#define xlActionTypeRowset                       16
#define xlActionTypeUrl                          1
#define xlAdd                                    2
#define xlADORecordset                           7
#define xlAfter                                  33
#define xlAfterOrEqualTo                         34
#define xlAll                                    -4104
#define xlAllAtOnce                              2
#define xlAllChanges                             2
#define xlAllDatesInPeriodApril                  60
#define xlAllDatesInPeriodAugust                 64
#define xlAllDatesInPeriodDecember               68
#define xlAllDatesInPeriodFebruary               58
#define xlAllDatesInPeriodJanuary                57
#define xlAllDatesInPeriodJuly                   63
#define xlAllDatesInPeriodJune                   62
#define xlAllDatesInPeriodMarch                  59
#define xlAllDatesInPeriodMay                    61
#define xlAllDatesInPeriodNovember               67
#define xlAllDatesInPeriodOctober                66
#define xlAllDatesInPeriodQuarter1               53
#define xlAllDatesInPeriodQuarter2               54
#define xlAllDatesInPeriodQuarter3               55
#define xlAllDatesInPeriodQuarter4               56
#define xlAllDatesInPeriodSeptember              65
#define xlAllExceptBorders                       7
#define xlAllFaces                               7
#define xlAllTables                              2
#define xlAllValues                              0
#define xlAlternateArraySeparator                16
#define xlAlways                                 1
#define xlAnd                                    1
#define xlAnyGallery                             23
#define xlAnyKey                                 2
#define xlArabicBothStrict                       3
#define xlArabicNone                             0
#define xlArabicStrictAlefHamza                  1
#define xlArabicStrictFinalYaa                   2
#define xlArrangeStyleCascade                    7
#define xlArrangeStyleHorizontal                 -4128
#define xlArrangeStyleTiled                      1
#define xlArrangeStyleVertical                   -4166
#define xlArrowHeadLengthLong                    3
#define xlArrowHeadLengthMedium                  -4138
#define xlArrowHeadLengthShort                   1
#define xlArrowHeadStyleClosed                   3
#define xlArrowHeadStyleDoubleClosed             5
#define xlArrowHeadStyleDoubleOpen               4
#define xlArrowHeadStyleNone                     -4142
#define xlArrowHeadStyleOpen                     2
#define xlArrowHeadWidthMedium                   -4138
#define xlArrowHeadWidthNarrow                   1
#define xlArrowHeadWidthWide                     3
#define xlAscending                              1
#define xlAsRequired                             0
#define xlAtBottom                               2
#define xlAtTop                                  1
#define xlAutoActivate                           3
#define xlAutoClose                              2
#define xlAutoDeactivate                         4
#define xlAutoFill                               4
#define xlAutomatic                              -4105
#define xlAutomaticScale                         -4105
#define xlAutomaticUpdate                        4
#define xlAutoOpen                               1
#define xlAverage                                -4106
#define xlAxis                                   21
#define xlAxisCrossesAutomatic                   -4105
#define xlAxisCrossesCustom                      -4114
#define xlAxisCrossesMaximum                     2
#define xlAxisCrossesMinimum                     4
#define xlAxisTitle                              17
#define xlBackgroundAutomatic                    -4105
#define xlBackgroundOpaque                       3
#define xlBackgroundTransparent                  2
#define xlBefore                                 31
#define xlBeforeOrEqualTo                        32
#define xlBeginsWith                             2
#define xlBelow                                  1
#define xlBelowAverage                           1
#define xlBelowStdDev                            5
#define xlBetween                                1
#define xlBidi                                   -5000
#define xlBidiCalendar                           3
#define xlBIFF                                   2
#define xlBitmap                                 2
#define xlBlankRow                               19
#define xlBlanks                                 4
#define xlBlanksCondition                        10
#define xlBMP                                    1
#define xlBoth                                   1
#define xlBottom                                 -4107
#define xlBottom10Items                          4
#define xlBottom10Percent                        6
#define xlBottomCount                            2
#define xlBottomPercent                          4
#define xlBottomSum                              6
#define xlBox                                    0
#define xlBuiltIn                                21
#define xlButton                                 15
#define xlButtonControl                          0
#define xlButtonOnly                             2
#define xlByColumns                              2
#define xlByRows                                 1
#define xlCalculatedMember                       0
#define xlCalculatedSet                          1
#define xlCalculating                            1
#define xlCalculationAutomatic                   -4105
#define xlCalculationManual                      -4135
#define xlCalculationSemiautomatic               2
#define xlCancel                                 1
#define xlCap                                    1
#define xlCaptionBeginsWith                      17
#define xlCaptionContains                        21
#define xlCaptionDoesNotBeginWith                18
#define xlCaptionDoesNotContain                  22
#define xlCaptionDoesNotEndWith                  20
#define xlCaptionDoesNotEqual                    16
#define xlCaptionEndsWith                        19
#define xlCaptionEquals                          15
#define xlCaptionIsBetween                       27
#define xlCaptionIsGreaterThan                   23
#define xlCaptionIsGreaterThanOrEqualTo          24 ; WB variable name is too long (1).
#define xlCaptionIsLessThan                      25
#define xlCaptionIsLessThanOrEqualTo             26
#define xlCaptionIsNotBetween                    28
#define xlCascade                                7
#define xlCategory                               1
#define xlCategoryScale                          2
#define xlCellTypeAllFormatConditions            -4172
#define xlCellTypeAllValidation                  -4174
#define xlCellTypeBlanks                         4
#define xlCellTypeComments                       -4144
#define xlCellTypeConstants                      2
#define xlCellTypeFormulas                       -4123
#define xlCellTypeLastCell                       11
#define xlCellTypeSameFormatConditions           -4173
#define xlCellTypeSameValidation                 -4175
#define xlCellTypeVisible                        12
#define xlCellValue                              1
#define xlCenter                                 -4108
#define xlCenterAcrossSelection                  7
#define xlCentimeters                            1
#define xlCGM                                    7
#define xlChangeAttributes                       6
#define xlChart                                  -4109
#define xlChart4                                 2
#define xlChartArea                              2
#define xlChartAsWindow                          5
#define xlChartElementPositionAutomatic          -4105 ; WB variable name is too long (1).
#define xlChartElementPositionCustom             -4114
#define xlChartInPlace                           4
#define xlChartSeries                            17
#define xlChartShort                             6
#define xlChartTitle                             4
#define xlChartTitles                            18
#define xlCheckBox                               1
#define xlChecker                                9
#define xlCheckInMajorVersion                    1
#define xlCheckInMinorVersion                    0
#define xlCheckInOverwriteVersion                2
#define xlChronological                          3
#define xlCircle                                 8
#define xlClassic1                               1
#define xlClassic2                               2
#define xlClassic3                               3
#define xlClipboard                              3
#define xlClipboardFormatBIFF                    8
#define xlClipboardFormatBIFF12                  63
#define xlClipboardFormatBIFF2                   18
#define xlClipboardFormatBIFF3                   20
#define xlClipboardFormatBIFF4                   30
#define xlClipboardFormatBinary                  15
#define xlClipboardFormatBitmap                  9
#define xlClipboardFormatCGM                     13
#define xlClipboardFormatCSV                     5
#define xlClipboardFormatDIF                     4
#define xlClipboardFormatDspText                 12
#define xlClipboardFormatEmbeddedObject          21 ; WB variable name is too long (1).
#define xlClipboardFormatEmbedSource             22
#define xlClipboardFormatLink                    11
#define xlClipboardFormatLinkSource              23
#define xlClipboardFormatLinkSourceDesc          32 ; WB variable name is too long (1).
#define xlClipboardFormatMovie                   24
#define xlClipboardFormatNative                  14
#define xlClipboardFormatObjectDesc              31
#define xlClipboardFormatObjectLink              19
#define xlClipboardFormatOwnerLink               17
#define xlClipboardFormatPICT                    2
#define xlClipboardFormatPrintPICT               3
#define xlClipboardFormatRTF                     7
#define xlClipboardFormatScreenPICT              29
#define xlClipboardFormatStandardFont            28
#define xlClipboardFormatStandardScale           27
#define xlClipboardFormatSYLK                    6
#define xlClipboardFormatTable                   16
#define xlClipboardFormatText                    0
#define xlClipboardFormatToolFace                25
#define xlClipboardFormatToolFacePICT            26
#define xlClipboardFormatVALU                    1
#define xlClipboardFormatWK1                     10
#define xlClosed                                 3
#define xlCmdCube                                1
#define xlCmdDefault                             4
#define xlCmdList                                5
#define xlCmdSql                                 2
#define xlCmdTable                               3
#define xlCodePage                               2
#define xlColGroups                              2
#define xlColor1                                 7
#define xlColor2                                 8
#define xlColor3                                 9
#define xlColorIndexAutomatic                    -4105
#define xlColorIndexNone                         -4142
#define xlColorScale                             3
#define xlColorScaleBlackWhite                   3
#define xlColorScaleGYR                          2
#define xlColorScaleRYG                          1
#define xlColorScaleWhiteBlack                   4
#define xlColumn                                 3
#define xlColumnField                            2
#define xlColumnHeader                           -4110
#define xlColumnItem                             5
#define xlColumnLabels                           2
#define xlColumns                                2
#define xlColumnSeparator                        14
#define xlColumnStripe1                          7
#define xlColumnStripe2                          8
#define xlColumnSubheading1                      20
#define xlColumnSubheading2                      21
#define xlColumnSubheading3                      22
#define xlColumnThenRow                          2
#define xlCombination                            -4111
#define xlCommand                                2
#define xlCommandUnderlinesAutomatic             -4105
#define xlCommandUnderlinesOff                   -4146
#define xlCommandUnderlinesOn                    1
#define xlCommentAndIndicator                    1
#define xlCommentIndicatorOnly                   -1
#define xlComments                               -4144
#define xlCompactRow                             0
#define xlComplete                               4
#define xlConditionValueFormula                  4
#define xlConditionValueHighestValue             2
#define xlConditionValueLowestValue              1
#define xlConditionValueNone                     -1
#define xlConditionValueNumber                   0
#define xlConditionValuePercent                  3
#define xlConditionValuePercentile               5
#define xlConeToMax                              5
#define xlConeToPoint                            4
#define xlConnectionTypeODBC                     2
#define xlConnectionTypeOLEDB                    1
#define xlConnectionTypeTEXT                     4
#define xlConnectionTypeWEB                      5
#define xlConnectionTypeXMLMAP                   3
#define xlConsolidation                          3
#define xlConstant                               1
#define xlConstants                              2
#define xlContains                               0
#define xlContents                               2
#define xlContext                                -5002
#define xlCopy                                   1
#define xlCorner                                 2
#define xlCorners                                6
#define xlCount                                  -4112
#define xlCountNums                              -4113
#define xlCountryCode                            1
#define xlCountrySetting                         2
#define xlCreatorCode                            1480803660
#define xlCredentialsMethodIntegrated            0
#define xlCredentialsMethodNone                  1
#define xlCredentialsMethodStored                2
#define xlCrissCross                             16
#define xlCross                                  4
#define xlCubeAttribute                          4
#define xlCubeCalculatedMeasure                  5
#define xlCubeHierarchy                          1
#define xlCubeKPIGoal                            7
#define xlCubeKPIStatus                          8
#define xlCubeKPITrend                           9
#define xlCubeKPIValue                           6
#define xlCubeKPIWeight                          10
#define xlCubeMeasure                            2
#define xlCubeSet                                3
#define xlCurrencyBefore                         37
#define xlCurrencyCode                           25
#define xlCurrencyDigits                         27
#define xlCurrencyLeadingZeros                   40
#define xlCurrencyMinusSign                      38
#define xlCurrencyNegative                       28
#define xlCurrencySpaceBefore                    36
#define xlCurrencyTrailingZeros                  39
#define xlCustom                                 -4114
#define xlCut                                    2
#define xlCylinder                               3
#define xlDAORecordset                           2
#define xlDataAndLabel                           0
#define xlDatabar                                4
#define xlDatabase                               1
#define xlDataField                              4
#define xlDataFieldScope                         2
#define xlDataHeader                             3
#define xlDataItem                               7
#define xlDataLabel                              0
#define xlDataLabelSeparatorDefault              1
#define xlDataLabelsShowBubbleSizes              6
#define xlDataLabelsShowLabel                    4
#define xlDataLabelsShowLabelAndPercent          5 ; WB variable name is too long (1).
#define xlDataLabelsShowNone                     -4142
#define xlDataLabelsShowPercent                  3
#define xlDataLabelsShowValue                    2
#define xlDataOnly                               2
#define xlDataSeriesLinear                       -4132
#define xlDataTable                              7
#define xlDate                                   2
#define xlDateBetween                            35
#define xlDateLastMonth                          45
#define xlDateLastQuarter                        48
#define xlDateLastWeek                           42
#define xlDateLastYear                           51
#define xlDateNextMonth                          43
#define xlDateNextQuarter                        46
#define xlDateNextWeek                           40
#define xlDateNextYear                           49
#define xlDateNotBetween                         36
#define xlDateOrder                              32
#define xlDateSeparator                          17
#define xlDateThisMonth                          44
#define xlDateThisQuarter                        47
#define xlDateThisWeek                           41
#define xlDateThisYear                           50
#define xlDateToday                              38
#define xlDateTomorrow                           37
#define xlDateYesterday                          39
#define xlDay                                    1
#define xlDayCode                                21
#define xlDayLeadingZero                         42
#define xlDays                                   0
#define xlDebugCodePane                          13
#define xlDecimalSeparator                       3
#define xlDefault                                -4143
#define xlDefaultAutoFormat                      -1
#define xlDelimited                              1
#define xlDescending                             2
#define xlDesktop                                9
#define xlDialogActivate                         103
#define xlDialogActiveCellFont                   476
#define xlDialogAddChartAutoformat               390
#define xlDialogAddinManager                     321
#define xlDialogAlignment                        43
#define xlDialogApplyNames                       133
#define xlDialogApplyStyle                       212
#define xlDialogAppMove                          170
#define xlDialogAppSize                          171
#define xlDialogArrangeAll                       12
#define xlDialogAssignToObject                   213
#define xlDialogAssignToTool                     293
#define xlDialogAttachText                       80
#define xlDialogAttachToolbars                   323
#define xlDialogAutoCorrect                      485
#define xlDialogAxes                             78
#define xlDialogBorder                           45
#define xlDialogCalculation                      32
#define xlDialogCellProtection                   46
#define xlDialogChangeLink                       166
#define xlDialogChartAddData                     392
#define xlDialogChartLocation                    527
#define xlDialogChartOptionsDataLabelMultiple    724 ; WB variable name is too long (7).
#define xlDialogChartOptionsDataLabels           505
#define xlDialogChartOptionsDataTable            506
#define xlDialogChartSourceData                  540
#define xlDialogChartTrend                       350
#define xlDialogChartType                        526
#define xlDialogChartWizard                      288
#define xlDialogCheckboxProperties               435
#define xlDialogClear                            52
#define xlDialogColorPalette                     161
#define xlDialogColumnWidth                      47
#define xlDialogCombination                      73
#define xlDialogConditionalFormatting            583
#define xlDialogConsolidate                      191
#define xlDialogCopyChart                        147
#define xlDialogCopyPicture                      108
#define xlDialogCreateList                       796
#define xlDialogCreateNames                      62
#define xlDialogCreatePublisher                  217
#define xlDialogCustomizeToolbar                 276
#define xlDialogCustomViews                      493
#define xlDialogDataDelete                       36
#define xlDialogDataLabel                        379
#define xlDialogDataLabelMultiple                723
#define xlDialogDataSeries                       40
#define xlDialogDataValidation                   525
#define xlDialogDefineName                       61
#define xlDialogDefineStyle                      229
#define xlDialogDeleteFormat                     111
#define xlDialogDeleteName                       110
#define xlDialogDemote                           203
#define xlDialogDisplay                          27
#define xlDialogDocumentInspector                862
#define xlDialogEditboxProperties                438
#define xlDialogEditColor                        223
#define xlDialogEditDelete                       54
#define xlDialogEditionOptions                   251
#define xlDialogEditSeries                       228
#define xlDialogErrorbarX                        463
#define xlDialogErrorbarY                        464
#define xlDialogErrorChecking                    732
#define xlDialogEvaluateFormula                  709
#define xlDialogExternalDataProperties           530
#define xlDialogExtract                          35
#define xlDialogFileDelete                       6
#define xlDialogFileSharing                      481
#define xlDialogFillGroup                        200
#define xlDialogFillWorkgroup                    301
#define xlDialogFilter                           447
#define xlDialogFilterAdvanced                   370
#define xlDialogFindFile                         475
#define xlDialogFont                             26
#define xlDialogFontProperties                   381
#define xlDialogFormatAuto                       269
#define xlDialogFormatChart                      465
#define xlDialogFormatCharttype                  423
#define xlDialogFormatFont                       150
#define xlDialogFormatLegend                     88
#define xlDialogFormatMain                       225
#define xlDialogFormatMove                       128
#define xlDialogFormatNumber                     42
#define xlDialogFormatOverlay                    226
#define xlDialogFormatSize                       129
#define xlDialogFormatText                       89
#define xlDialogFormulaFind                      64
#define xlDialogFormulaGoto                      63
#define xlDialogFormulaReplace                   130
#define xlDialogFunctionWizard                   450
#define xlDialogGallery3dArea                    193
#define xlDialogGallery3dBar                     272
#define xlDialogGallery3dColumn                  194
#define xlDialogGallery3dLine                    195
#define xlDialogGallery3dPie                     196
#define xlDialogGallery3dSurface                 273
#define xlDialogGalleryArea                      67
#define xlDialogGalleryBar                       68
#define xlDialogGalleryColumn                    69
#define xlDialogGalleryCustom                    388
#define xlDialogGalleryDoughnut                  344
#define xlDialogGalleryLine                      70
#define xlDialogGalleryPie                       71
#define xlDialogGalleryRadar                     249
#define xlDialogGalleryScatter                   72
#define xlDialogGoalSeek                         198
#define xlDialogGridlines                        76
#define xlDialogImportTextFile                   666
#define xlDialogInsert                           55
#define xlDialogInsertHyperlink                  596
#define xlDialogInsertNameLabel                  496
#define xlDialogInsertObject                     259
#define xlDialogInsertPicture                    342
#define xlDialogInsertTitle                      380
#define xlDialogLabelProperties                  436
#define xlDialogListboxProperties                437
#define xlDialogMacroOptions                     382
#define xlDialogMailEditMailer                   470
#define xlDialogMailLogon                        339
#define xlDialogMailNextLetter                   378
#define xlDialogMainChart                        85
#define xlDialogMainChartType                    185
#define xlDialogMenuEditor                       322
#define xlDialogMove                             262
#define xlDialogMyPermission                     834
#define xlDialogNameManager                      977
#define xlDialogNew                              119
#define xlDialogNewName                          978
#define xlDialogNewWebQuery                      667
#define xlDialogNote                             154
#define xlDialogObjectProperties                 207
#define xlDialogObjectProtection                 214
#define xlDialogOpen                             1
#define xlDialogOpenLinks                        2
#define xlDialogOpenMail                         188
#define xlDialogOpenText                         441
#define xlDialogOptionsCalculation               318
#define xlDialogOptionsChart                     325
#define xlDialogOptionsEdit                      319
#define xlDialogOptionsGeneral                   356
#define xlDialogOptionsListsAdd                  458
#define xlDialogOptionsME                        647
#define xlDialogOptionsTransition                355
#define xlDialogOptionsView                      320
#define xlDialogOutline                          142
#define xlDialogOverlay                          86
#define xlDialogOverlayChartType                 186
#define xlDialogPageSetup                        7
#define xlDialogParse                            91
#define xlDialogPasteNames                       58
#define xlDialogPasteSpecial                     53
#define xlDialogPatterns                         84
#define xlDialogPermission                       832
#define xlDialogPhonetic                         656
#define xlDialogPivotCalculatedField             570
#define xlDialogPivotCalculatedItem              572
#define xlDialogPivotClientServerSet             689
#define xlDialogPivotFieldGroup                  433
#define xlDialogPivotFieldProperties             313
#define xlDialogPivotFieldUngroup                434
#define xlDialogPivotShowPages                   421
#define xlDialogPivotSolveOrder                  568
#define xlDialogPivotTableOptions                567
#define xlDialogPivotTableWizard                 312
#define xlDialogPlacement                        300
#define xlDialogPrint                            8
#define xlDialogPrinterSetup                     9
#define xlDialogPrintPreview                     222
#define xlDialogPromote                          202
#define xlDialogProperties                       474
#define xlDialogPropertyFields                   754
#define xlDialogProtectDocument                  28
#define xlDialogProtectSharing                   620
#define xlDialogPublishAsWebPage                 653
#define xlDialogPushbuttonProperties             445
#define xlDialogReplaceFont                      134
#define xlDialogRoutingSlip                      336
#define xlDialogRowHeight                        127
#define xlDialogRun                              17
#define xlDialogSaveAs                           5
#define xlDialogSaveCopyAs                       456
#define xlDialogSaveNewObject                    208
#define xlDialogSaveWorkbook                     145
#define xlDialogSaveWorkspace                    285
#define xlDialogScale                            87
#define xlDialogScenarioAdd                      307
#define xlDialogScenarioCells                    305
#define xlDialogScenarioEdit                     308
#define xlDialogScenarioMerge                    473
#define xlDialogScenarioSummary                  311
#define xlDialogScrollbarProperties              420
#define xlDialogSearch                           731
#define xlDialogSelectSpecial                    132
#define xlDialogSendMail                         189
#define xlDialogSeriesAxes                       460
#define xlDialogSeriesOptions                    557
#define xlDialogSeriesOrder                      466
#define xlDialogSeriesShape                      504
#define xlDialogSeriesX                          461
#define xlDialogSeriesY                          462
#define xlDialogSetBackgroundPicture             509
#define xlDialogSetPrintTitles                   23
#define xlDialogSetUpdateStatus                  159
#define xlDialogSheet                            -4116
#define xlDialogShowDetail                       204
#define xlDialogShowToolbar                      220
#define xlDialogSize                             261
#define xlDialogSort                             39
#define xlDialogSortSpecial                      192
#define xlDialogSplit                            137
#define xlDialogStandardFont                     190
#define xlDialogStandardWidth                    472
#define xlDialogStyle                            44
#define xlDialogSubscribeTo                      218
#define xlDialogSubtotalCreate                   398
#define xlDialogSummaryInfo                      474
#define xlDialogTable                            41
#define xlDialogTabOrder                         394
#define xlDialogTextToColumns                    422
#define xlDialogUnhide                           94
#define xlDialogUpdateLink                       201
#define xlDialogVbaInsertFile                    328
#define xlDialogVbaMakeAddin                     478
#define xlDialogVbaProcedureDefinition           330
#define xlDialogView3d                           197
#define xlDialogWebOptionsBrowsers               773
#define xlDialogWebOptionsEncoding               686
#define xlDialogWebOptionsFiles                  684
#define xlDialogWebOptionsFonts                  687
#define xlDialogWebOptionsGeneral                683
#define xlDialogWebOptionsPictures               685
#define xlDialogWindowMove                       14
#define xlDialogWindowSize                       13
#define xlDialogWorkbookAdd                      281
#define xlDialogWorkbookCopy                     283
#define xlDialogWorkbookInsert                   354
#define xlDialogWorkbookMove                     282
#define xlDialogWorkbookName                     386
#define xlDialogWorkbookNew                      302
#define xlDialogWorkbookOptions                  284
#define xlDialogWorkbookProtect                  417
#define xlDialogWorkbookTabSplit                 415
#define xlDialogWorkbookUnhide                   384
#define xlDialogWorkgroup                        199
#define xlDialogWorkspace                        95
#define xlDialogZoom                             256
#define xlDiamond                                2
#define xlDifferenceFrom                         2
#define xlDirect                                 1
#define xlDisabled                               0
#define xlDisplayNone                            1
#define xlDisplayPropertyInPivotTable            1
#define xlDisplayPropertyInPivotTableAndTooltip  3 ; WB variable name is too long (9).
#define xlDisplayPropertyInTooltip               2
#define xlDisplayShapes                          -4104
#define xlDisplayUnitLabel                       30
#define xlDistributed                            -4117
#define xlDivide                                 5
#define xlDMYFormat                              4
#define xlDoesNotContain                         1
#define xlDone                                   0
#define xlDoNotSaveChanges                       2
#define xlDoubleAccounting                       5
#define xlDoubleClosed                           5
#define xlDoubleOpen                             4
#define xlDoubleQuote                            1
#define xlDown                                   -4121
#define xlDownBars                               20
#define xlDownThenOver                           1
#define xlDownward                               -4170
#define xlDrawingObject                          14
#define xlDropDown                               2
#define xlDropLines                              26
#define xlDRW                                    4
#define xlDuplicate                              1
#define xlDXF                                    5
#define xlDYMFormat                              7
#define xlEditBox                                3
#define xlEditionDate                            2
#define xlEMDFormat                              10
#define xlEmptyCellReferences                    7
#define xlEnd                                    2
#define xlEndSides                               3
#define xlEndsWith                               3
#define xlEntireChart                            20
#define xlEntirePage                             1
#define xlEPS                                    8
#define xlEqual                                  3
#define xlEqualAboveAverage                      2
#define xlEqualBelowAverage                      3
#define xlErrDiv0                                2007
#define xlErrNA                                  2042
#define xlErrName                                2029
#define xlErrNull                                2000
#define xlErrNum                                 2036
#define xlErrorBarIncludeBoth                    1
#define xlErrorBarIncludeMinusValues             3
#define xlErrorBarIncludeNone                    -4142
#define xlErrorBarIncludePlusValues              2
#define xlErrorBars                              9
#define xlErrorBarTypeCustom                     -4114
#define xlErrorBarTypeFixedValue                 1
#define xlErrorBarTypePercent                    2
#define xlErrorBarTypeStDev                      -4155
#define xlErrorBarTypeStError                    4
#define xlErrorHandler                           2
#define xlErrors                                 16
#define xlErrorsCondition                        16
#define xlErrRef                                 2023
#define xlErrValue                               2015
#define xlEscKey                                 1
#define xlEvaluateToError                        1
#define xlExcel4IntlMacroSheet                   4
#define xlExcel4MacroSheet                       3
#define xlExcelLinks                             1
#define xlExcelMenus                             1
#define xlExclusive                              3
#define xlExponential                            5
#define xlExpression                             2
#define xlExtended                               3
#define xlExternal                               2
#define xlExtractData                            2
#define xlFieldsScope                            1
#define xlFill                                   5
#define xlFillCopy                               1
#define xlFillDays                               5
#define xlFillDefault                            0
#define xlFillFormats                            3
#define xlFillMonths                             7
#define xlFillSeries                             2
#define xlFillValues                             4
#define xlFillWeekdays                           6
#define xlFillWithAll                            -4104
#define xlFillWithContents                       2
#define xlFillWithFormats                        -4122
#define xlFillYears                              8
#define xlFilterAboveAverage                     33
#define xlFilterAllDatesInPeriodApril            24
#define xlFilterAllDatesInPeriodAugust           28
#define xlFilterAllDatesInPeriodDay              2
#define xlFilterAllDatesInPeriodDecember         32 ; WB variable name is too long (2).
#define xlFilterAllDatesInPeriodFebruray         22 ; WB variable name is too long (2).
#define xlFilterAllDatesInPeriodHour             3
#define xlFilterAllDatesInPeriodJanuary          21 ; WB variable name is too long (1).
#define xlFilterAllDatesInPeriodJuly             27
#define xlFilterAllDatesInPeriodJune             26
#define xlFilterAllDatesInPeriodMarch            23
#define xlFilterAllDatesInPeriodMay              25
#define xlFilterAllDatesInPeriodMinute           4
#define xlFilterAllDatesInPeriodMonth            1
#define xlFilterAllDatesInPeriodNovember         31 ; WB variable name is too long (2).
#define xlFilterAllDatesInPeriodOctober          30 ; WB variable name is too long (1).
#define xlFilterAllDatesInPeriodQuarter1         17 ; WB variable name is too long (2).
#define xlFilterAllDatesInPeriodQuarter2         18 ; WB variable name is too long (2).
#define xlFilterAllDatesInPeriodQuarter3         19 ; WB variable name is too long (2).
#define xlFilterAllDatesInPeriodQuarter4         20 ; WB variable name is too long (2).
#define xlFilterAllDatesInPeriodSecond           5
#define xlFilterAllDatesInPeriodSeptember        29 ; WB variable name is too long (3).
#define xlFilterAllDatesInPeriodYear             0
#define xlFilterAutomaticFontColor               13
#define xlFilterBelowAverage                     34
#define xlFilterBottom                           0
#define xlFilterBottomPercent                    2
#define xlFilterCellColor                        8
#define xlFilterCopy                             2
#define xlFilterDynamic                          11
#define xlFilterFontColor                        9
#define xlFilterIcon                             10
#define xlFilterInPlace                          1
#define xlFilterLastMonth                        8
#define xlFilterLastQuarter                      11
#define xlFilterLastWeek                         5
#define xlFilterLastYear                         14
#define xlFilterNextMonth                        9
#define xlFilterNextQuarter                      12
#define xlFilterNextWeek                         6
#define xlFilterNextYear                         15
#define xlFilterNoFill                           12
#define xlFilterNoIcon                           14
#define xlFilterThisMonth                        7
#define xlFilterThisQuarter                      10
#define xlFilterThisWeek                         4
#define xlFilterThisYear                         13
#define xlFilterToday                            1
#define xlFilterTomorrow                         3
#define xlFilterTop                              1
#define xlFilterTopPercent                       3
#define xlFilterValues                           7
#define xlFilterYearToDate                       16
#define xlFilterYesterday                        2
#define xlFirst                                  0
#define xlFirstColumn                            3
#define xlFirstHeaderCell                        9
#define xlFirstRow                               256
#define xlFirstTotalCell                         11
#define xlFitToPage                              2
#define xlFixedValue                             1
#define xlFixedWidth                             2
#define xlFloating                               5
#define xlFloor                                  23
#define xlFormatFromLeftOrAbove                  0
#define xlFormatFromRightOrBelow                 1
#define xlFormats                                -4122
#define xlFormula                                5
#define xlFormulas                               -4123
#define xlFreeFloating                           3
#define xlFront                                  4
#define xlFrontEnd                               6
#define xlFrontSides                             5
#define xlFullPage                               3
#define xlFullScript                             1
#define xlFunction                               1
#define xlGeneral                                1
#define xlGeneralFormat                          1
#define xlGeneralFormatName                      26
#define xlGenerateTableRefA1                     0
#define xlGenerateTableRefStruct                 1
#define xlGradientFillLinear                     0
#define xlGradientFillPath                       1
#define xlGrandTotalColumn                       4
#define xlGrandTotalRow                          2
#define xlGray16                                 17
#define xlGray25                                 -4124
#define xlGray50                                 -4125
#define xlGray75                                 -4126
#define xlGray8                                  18
#define xlGreater                                5
#define xlGreaterEqual                           7
#define xlGregorian                              2
#define xlGrid                                   15
#define xlGridline                               22
#define xlGroupBox                               4
#define xlGrowth                                 2
#define xlGrowthTrend                            10
#define xlGuess                                  0
#define xlHAlignCenter                           -4108
#define xlHAlignCenterAcrossSelection            7
#define xlHAlignDistributed                      -4117
#define xlHAlignFill                             5
#define xlHAlignGeneral                          1
#define xlHAlignJustify                          -4130
#define xlHAlignLeft                             -4131
#define xlHAlignRight                            -4152
#define xlHeaderRow                              1
#define xlHebrewFullScript                       0
#define xlHebrewMixedAuthorizedScript            3
#define xlHebrewMixedScript                      2
#define xlHebrewPartialScript                    1
#define xlHGL                                    6
#define xlHidden                                 0
#define xlHide                                   3
#define xlHierarchy                              1
#define xlHigh                                   -4127
#define xlHiLoLines                              25
#define xlHindiNumerals                          3
#define xlHiragana                               2
#define xlHorizontal                             -4128
#define xlHourCode                               22
#define xlHtmlCalc                               1
#define xlHtmlChart                              3
#define xlHtmlList                               2
#define xlHtmlStatic                             0
#define xlHundredMillions                        -8
#define xlHundreds                               -2
#define xlHundredThousands                       -5
#define xlIBeam                                  3
#define xlIcons                                  1
#define xlIconSets                               6
#define xlIMEModeAlpha                           8
#define xlIMEModeAlphaFull                       7
#define xlIMEModeDisable                         3
#define xlIMEModeHangul                          10
#define xlIMEModeHangulFull                      9
#define xlIMEModeHiragana                        4
#define xlIMEModeKatakana                        5
#define xlIMEModeKatakanaHalf                    6
#define xlIMEModeNoControl                       0
#define xlIMEModeOff                             2
#define xlIMEModeOn                              1
#define xlImmediatePane                          12
#define xlInches                                 0
#define xlInconsistentFormula                    4
#define xlInconsistentListFormula                9
#define xlIndex                                  9
#define xlIndicatorAndButton                     0
#define xlInfo                                   -4129
#define xlInsertDeleteCells                      1
#define xlInsertEntireRows                       2
#define xlInside                                 2
#define xlInteger                                2
#define xlInterpolated                           3
#define xlInterrupt                              1
#define xlJustify                                -4130
#define xlKatakana                               1
#define xlKatakanaHalf                           0
#define xlLabel                                  5
#define xlLabelOnly                              1
#define xlLabelPositionAbove                     0
#define xlLabelPositionBelow                     1
#define xlLabelPositionBestFit                   5
#define xlLabelPositionCenter                    -4108
#define xlLabelPositionCustom                    7
#define xlLabelPositionInsideBase                4
#define xlLabelPositionInsideEnd                 3
#define xlLabelPositionLeft                      -4131
#define xlLabelPositionMixed                     6
#define xlLabelPositionOutsideEnd                2
#define xlLabelPositionRight                     -4152
#define xlLandscape                              2
#define xlLast                                   1
#define xlLast7Days                              2
#define xlLastCell                               11
#define xlLastColumn                             4
#define xlLastHeaderCell                         10
#define xlLastMonth                              5
#define xlLastTotalCell                          12
#define xlLastWeek                               4
#define xlLatin                                  -5001
#define xlLeaderLines                            29
#define xlLeft                                   -4131
#define xlLeftBrace                              12
#define xlLeftBracket                            10
#define xlLeftToRight                            2
#define xlLegend                                 24
#define xlLegendEntry                            12
#define xlLegendKey                              13
#define xlLegendPositionBottom                   -4107
#define xlLegendPositionCorner                   2
#define xlLegendPositionCustom                   -4161
#define xlLegendPositionLeft                     -4131
#define xlLegendPositionRight                    -4152
#define xlLegendPositionTop                      -4160
#define xlLess                                   6
#define xlLessEqual                              8
#define xlLightDown                              13
#define xlLightHorizontal                        11
#define xlLightUp                                14
#define xlLightVertical                          12
#define xlLinkInfoOLELinks                       2
#define xlLinkInfoPublishers                     5
#define xlLinkInfoStatus                         3
#define xlLinkInfoSubscribers                    6
#define xlLinkStatusCopiedValues                 10
#define xlLinkStatusIndeterminate                5
#define xlLinkStatusInvalidName                  7
#define xlLinkStatusMissingFile                  1
#define xlLinkStatusMissingSheet                 2
#define xlLinkStatusNotStarted                   6
#define xlLinkStatusOK                           0
#define xlLinkStatusOld                          3
#define xlLinkStatusSourceNotCalculated          4 ; WB variable name is too long (1).
#define xlLinkStatusSourceNotOpen                8
#define xlLinkStatusSourceOpen                   9
#define xlLinkTypeExcelLinks                     1
#define xlLinkTypeOLELinks                       2
#define xlList1                                  10
#define xlList2                                  11
#define xlList3                                  12
#define xlListBox                                6
#define xlListConflictDialog                     0
#define xlListConflictDiscardAllConflicts        2 ; WB variable name is too long (3).
#define xlListConflictError                      3
#define xlListConflictRetryAllConflicts          1 ; WB variable name is too long (1).
#define xlListDataTypeCheckbox                   9
#define xlListDataTypeChoice                     6
#define xlListDataTypeChoiceMulti                7
#define xlListDataTypeCounter                    11
#define xlListDataTypeCurrency                   4
#define xlListDataTypeDateTime                   5
#define xlListDataTypeHyperLink                  10
#define xlListDataTypeListLookup                 8
#define xlListDataTypeMultiLineRichText          12 ; WB variable name is too long (1).
#define xlListDataTypeMultiLineText              2
#define xlListDataTypeNone                       0
#define xlListDataTypeNumber                     3
#define xlListDataTypeText                       1
#define xlListDataValidation                     8
#define xlListSeparator                          5
#define xlLocalFormat1                           15
#define xlLocalFormat2                           16
#define xlLocalSessionChanges                    2
#define xlLocationAsNewSheet                     1
#define xlLocationAsObject                       2
#define xlLocationAutomatic                      3
#define xlLogarithmic                            -4133
#define xlLogical                                4
#define xlLogicalCursor                          1
#define xlLong                                   3
#define xlLookForBlanks                          0
#define xlLookForErrors                          1
#define xlLookForFormulas                        2
#define xlLotusHelp                              2
#define xlLow                                    -4134
#define xlLowerCaseColumnLetter                  9
#define xlLowerCaseRowLetter                     8
#define xlLTR                                    -5003
#define xlMacintosh                              1
#define xlMacrosheetCell                         7
#define xlMajorGridlines                         15
#define xlManual                                 -4135
#define xlManualUpdate                           5
#define xlMAPI                                   1
#define xlMarkerStyleAutomatic                   -4105
#define xlMarkerStyleCircle                      8
#define xlMarkerStyleDash                        -4115
#define xlMarkerStyleDiamond                     2
#define xlMarkerStyleDot                         -4118
#define xlMarkerStyleNone                        -4142
#define xlMarkerStylePicture                     -4147
#define xlMarkerStylePlus                        9
#define xlMarkerStyleSquare                      1
#define xlMarkerStyleStar                        5
#define xlMarkerStyleTriangle                    3
#define xlMarkerStyleX                           -4168
#define xlMax                                    -4136
#define xlMaximum                                2
#define xlMDY                                    44
#define xlMDYFormat                              3
#define xlMeasure                                2
#define xlMultiply                               4
#define xlMYDFormat                              6
#define xlNarrow                                 1
#define xlNever                                  2
#define xlNext                                   1
#define xlNextMonth                              8
#define xlNextToAxis                             4
#define xlNextWeek                               7
#define xlNo                                     2
#define xlNoAdditionalCalculation                -4143
#define xlNoBlanksCondition                      13
#define xlNoButton                               0
#define xlNoButtonChanges                        1
#define xlNoCap                                  2
#define xlNoChange                               1
#define xlNoChanges                              4
#define xlNoConversion                           3
#define xlNoDockingChanges                       3
#define xlNoDocuments                            3
#define xlNoErrorsCondition                      17
#define xlNoIndicator                            0
#define xlNoKey                                  0
#define xlNoLabels                               -4142
#define xlNoMailSystem                           0
#define xlNoncurrencyDigits                      29
#define xlNone                                   -4142
#define xlNonEnglishFunctions                    34
#define xlNoRestrictions                         0
#define xlNormalLoad                             0
#define xlNormalView                             1
#define xlNorthwestArrow                         1
#define xlNoSelection                            -4142
#define xlNoShapeChanges                         2
#define xlNotBetween                             2
#define xlNotEqual                               4
#define xlNotes                                  -4144
#define xlNothing                                28
#define xlNotPlotted                             1
#define xlNotSpecificDate                        30
#define xlNotXLM                                 3
#define xlNotYetReviewed                         3
#define xlNotYetRouted                           0
#define xlNumber                                 -4145
#define xlNumberAsText                           3
#define xlNumbers                                1
#define xlODBCQuery                              1
#define xlOff                                    -4146
#define xlOLEControl                             2
#define xlOLEDBQuery                             5
#define xlOLEEmbed                               1
#define xlOLELink                                0
#define xlOLELinks                               2
#define xlOmittedCells                           5
#define xlOn                                     1
#define xlOneAfterAnother                        1
#define xlOpaque                                 3
#define xlOpen                                   2
#define xlOpenSource                             3
#define xlOptionButton                           7
#define xlOr                                     2
#define xlOrigin                                 3
#define xlOtherSessionChanges                    3
#define xlOutline                                1
#define xlOutlineRow                             2
#define xlOutside                                3
#define xlOverThenDown                           2
#define xlOverwriteCells                         0
#define xlPageBreakAutomatic                     -4105
#define xlPageBreakFull                          1
#define xlPageBreakManual                        -4135
#define xlPageBreakNone                          -4142
#define xlPageBreakPartial                       2
#define xlPageBreakPreview                       2
#define xlPageField                              3
#define xlPageFieldLabels                        26
#define xlPageFieldValues                        27
#define xlPageHeader                             2
#define xlPageItem                               6
#define xlPageLayoutView                         3
#define xlPaper10x14                             16
#define xlPaper11x17                             17
#define xlPaperA3                                8
#define xlPaperA4                                9
#define xlPaperA4Small                           10
#define xlPaperA5                                11
#define xlPaperB4                                12
#define xlPaperB5                                13
#define xlPaperCsheet                            24
#define xlPaperDsheet                            25
#define xlPaperEnvelope10                        20
#define xlPaperEnvelope11                        21
#define xlPaperEnvelope12                        22
#define xlPaperEnvelope14                        23
#define xlPaperEnvelope9                         19
#define xlPaperEnvelopeB4                        33
#define xlPaperEnvelopeB5                        34
#define xlPaperEnvelopeB6                        35
#define xlPaperEnvelopeC3                        29
#define xlPaperEnvelopeC4                        30
#define xlPaperEnvelopeC5                        28
#define xlPaperEnvelopeC6                        31
#define xlPaperEnvelopeC65                       32
#define xlPaperEnvelopeDL                        27
#define xlPaperEnvelopeItaly                     36
#define xlPaperEnvelopeMonarch                   37
#define xlPaperEnvelopePersonal                  38
#define xlPaperEsheet                            26
#define xlPaperExecutive                         7
#define xlPaperFanfoldLegalGerman                41
#define xlPaperFanfoldStdGerman                  40
#define xlPaperFanfoldUS                         39
#define xlPaperFolio                             14
#define xlPaperLedger                            4
#define xlPaperLegal                             5
#define xlPaperLetter                            1
#define xlPaperLetterSmall                       2
#define xlPaperNote                              18
#define xlPaperQuarto                            15
#define xlPaperStatement                         6
#define xlPaperTabloid                           3
#define xlPaperUser                              256
#define xlParamTypeBigInt                        -5
#define xlParamTypeBinary                        -2
#define xlParamTypeBit                           -7
#define xlParamTypeChar                          1
#define xlParamTypeDate                          9
#define xlParamTypeDecimal                       3
#define xlParamTypeDouble                        8
#define xlParamTypeFloat                         6
#define xlParamTypeInteger                       4
#define xlParamTypeLongVarBinary                 -4
#define xlParamTypeLongVarChar                   -1
#define xlParamTypeNumeric                       2
#define xlParamTypeReal                          7
#define xlParamTypeSmallInt                      5
#define xlParamTypeTime                          10
#define xlParamTypeTimestamp                     11
#define xlParamTypeTinyInt                       -6
#define xlParamTypeUnknown                       0
#define xlParamTypeVarBinary                     -3
#define xlParamTypeVarChar                       12
#define xlParamTypeWChar                         -8
#define xlPart                                   2
#define xlPartial                                3
#define xlPartialScript                          2

//PasteType
#define xlPasteAll                               -4104
#define xlPasteAllExceptBorders                  7
#define xlPasteFormulas                          -4123
#define xlPasteValues                            -4163
#define xlPasteFormats                           -4122
#define xlPasteComments                          -4144

#define xlPasteAllUsingSourceTheme               13
#define xlPasteColumnWidths                      8
#define xlPasteFormulasAndNumberFormats          11 ; WB variable name is too long (1).
#define xlPasteSpecialOperationAdd               2
#define xlPasteSpecialOperationDivide            5
#define xlPasteSpecialOperationMultiply          4 ; WB variable name is too long (1).
#define xlPasteSpecialOperationNone              -4142
#define xlPasteSpecialOperationSubtract          3 ; WB variable name is too long (1).
#define xlPasteValidation                        6
#define xlPasteValuesAndNumberFormats            12
#define xlPatternAutomatic                       -4105
#define xlPatternChecker                         9
#define xlPatternCrissCross                      16
#define xlPatternDown                            -4121
#define xlPatternGray16                          17
#define xlPatternGray25                          -4124
#define xlPatternGray50                          -4125
#define xlPatternGray75                          -4126
#define xlPatternGray8                           18
#define xlPatternGrid                            15
#define xlPatternHorizontal                      -4128
#define xlPatternLightDown                       13
#define xlPatternLightHorizontal                 11
#define xlPatternLightUp                         14
#define xlPatternLightVertical                   12
#define xlPatternLinearGradient                  4000
#define xlPatternNone                            -4142
#define xlPatternRectangularGradient             4001
#define xlPatternSemiGray75                      10
#define xlPatternSolid                           1
#define xlPatternUp                              -4162
#define xlPatternVertical                        -4166
#define xlPCT                                    13
#define xlPCX                                    10
#define xlPending                                2
#define xlPercent                                2
#define xlPercentDifferenceFrom                  4
#define xlPercentOf                              3
#define xlPercentOfColumn                        7
#define xlPercentOfRow                           6
#define xlPercentOfTotal                         8
#define xlPhoneticAlignCenter                    2
#define xlPhoneticAlignDistributed               3
#define xlPhoneticAlignLeft                      1
#define xlPhoneticAlignNoControl                 0
#define xlPIC                                    11
#define xlPICT                                   1
#define xlPicture                                -4147
#define xlPinYin                                 1
#define xlPivotCellBlankCell                     9
#define xlPivotCellCustomSubtotal                7
#define xlPivotCellDataField                     4
#define xlPivotCellDataPivotField                8
#define xlPivotCellGrandTotal                    3
#define xlPivotCellPageFieldItem                 6
#define xlPivotCellPivotField                    5
#define xlPivotCellPivotItem                     1
#define xlPivotCellSubtotal                      2
#define xlPivotCellValue                         0
#define xlPivotChartDropZone                     32
#define xlPivotChartFieldButton                  31
#define xlPivotLineBlank                         3
#define xlPivotLineGrandTotal                    2
#define xlPivotLineRegular                       0
#define xlPivotLineSubtotal                      1
#define xlPivotTable                             -4148
#define xlPivotTableReport                       1
#define xlPivotTableVersion10                    1
#define xlPivotTableVersion11                    2
#define xlPivotTableVersion12                    3
#define xlPivotTableVersion2000                  0
#define xlPivotTableVersionCurrent               -1
#define xlPlaceholders                           2
#define xlPlotArea                               19
#define xlPLT                                    12
#define xlPlus                                   9
#define xlPlusValues                             2
#define xlPolynomial                             3
#define xlPortrait                               1
#define xlPower                                  4
#define xlPowerTalk                              2
#define xlPrevious                               2
#define xlPrimary                                1
#define xlPrimaryButton                          1
#define xlPrinter                                2
#define xlPrintErrorsBlank                       1
#define xlPrintErrorsDash                        2
#define xlPrintErrorsDisplayed                   0
#define xlPrintErrorsNA                          3
#define xlPrintInPlace                           16
#define xlPrintNoComments                        -4142
#define xlPrintSheetEnd                          1
#define xlPriorityHigh                           -4127
#define xlPriorityLow                            -4134
#define xlPriorityNormal                         -4143
#define xlProduct                                -4149
#define xlPrompt                                 0
#define xlPTClassic                              20
#define xlPTNone                                 21
#define xlPublisher                              1
#define xlPublishers                             5
#define xlPyramidToMax                           2
#define xlPyramidToPoint                         1
#define xlQualityMinimum                         1
#define xlQualityStandard                        0
#define xlQueryTable                             0
#define xlR1C1                                   -4150
#define xlRange                                  2
#define xlRangeAutoFormat3DEffects1              13
#define xlRangeAutoFormat3DEffects2              14
#define xlRangeAutoFormatAccounting1             4
#define xlRangeAutoFormatAccounting2             5
#define xlRangeAutoFormatAccounting3             6
#define xlRangeAutoFormatAccounting4             17
#define xlRangeAutoFormatClassic1                1
#define xlRangeAutoFormatClassic2                2
#define xlRangeAutoFormatClassic3                3
#define xlRangeAutoFormatClassicPivotTable       31 ; WB variable name is too long (4).
#define xlRangeAutoFormatColor1                  7
#define xlRangeAutoFormatColor2                  8
#define xlRangeAutoFormatColor3                  9
#define xlRangeAutoFormatList1                   10
#define xlRangeAutoFormatList2                   11
#define xlRangeAutoFormatList3                   12
#define xlRangeAutoFormatLocalFormat1            15
#define xlRangeAutoFormatLocalFormat2            16
#define xlRangeAutoFormatLocalFormat3            19
#define xlRangeAutoFormatLocalFormat4            20
#define xlRangeAutoFormatNone                    -4142
#define xlRangeAutoFormatPTNone                  42
#define xlRangeAutoFormatReport1                 21
#define xlRangeAutoFormatReport10                30
#define xlRangeAutoFormatReport2                 22
#define xlRangeAutoFormatReport3                 23
#define xlRangeAutoFormatReport4                 24
#define xlRangeAutoFormatReport5                 25
#define xlRangeAutoFormatReport6                 26
#define xlRangeAutoFormatReport7                 27
#define xlRangeAutoFormatReport8                 28
#define xlRangeAutoFormatReport9                 29
#define xlRangeAutoFormatSimple                  -4154
#define xlRangeAutoFormatTable1                  32
#define xlRangeAutoFormatTable10                 41
#define xlRangeAutoFormatTable2                  33
#define xlRangeAutoFormatTable3                  34
#define xlRangeAutoFormatTable4                  35
#define xlRangeAutoFormatTable5                  36
#define xlRangeAutoFormatTable6                  37
#define xlRangeAutoFormatTable7                  38
#define xlRangeAutoFormatTable8                  39
#define xlRangeAutoFormatTable9                  40
#define xlRangeValueDefault                      10
#define xlRangeValueMSPersistXML                 12
#define xlRangeValueXMLSpreadsheet               11
#define xlRDIAll                                 99
#define xlRDIComments                            1
#define xlRDIContentType                         16
#define xlRDIDefinedNameComments                 18
#define xlRDIDocumentManagementPolicy            15
#define xlRDIDocumentProperties                  8
#define xlRDIDocumentServerProperties            14
#define xlRDIDocumentWorkspace                   10
#define xlRDIEmailHeader                         5
#define xlRDIInactiveDataConnections             19
#define xlRDIInkAnnotations                      11
#define xlRDIPrinterPath                         20
#define xlRDIPublishInfo                         13
#define xlRDIRemovePersonalInformation           4
#define xlRDIRoutingSlip                         6
#define xlRDIScenarioComments                    12
#define xlRDISendForReview                       7
#define xlReadOnly                               3
#define xlReadWrite                              2
#define xlReference                              4
#define xlRelative                               4
#define xlRelRowAbsColumn                        3
#define xlRepairFile                             1
#define xlReport1                                0
#define xlReport10                               9
#define xlReport2                                1
#define xlReport3                                2
#define xlReport4                                3
#define xlReport5                                4
#define xlReport6                                5
#define xlReport7                                6
#define xlReport8                                7
#define xlReport9                                8
#define xlRight                                  -4152
#define xlRightBrace                             13
#define xlRightBracket                           11
#define xlRoutingComplete                        2
#define xlRoutingInProgress                      1
#define xlRowField                               1
#define xlRowGroups                              1
#define xlRowHeader                              -4153
#define xlRowItem                                4
#define xlRowLabels                              1
#define xlRows                                   1
#define xlRowSeparator                           15
#define xlRowStripe1                             5
#define xlRowStripe2                             6
#define xlRowSubheading1                         23
#define xlRowSubheading2                         24
#define xlRowSubheading3                         25
#define xlRowThenColumn                          1
#define xlRTF                                    4
#define xlRTL                                    -5004
#define xlRunningTotal                           5
#define xlSaveChanges                            1
#define xlScale                                  3
#define xlScaleLinear                            -4132
#define xlScaleLogarithmic                       -4133
#define xlScenario                               4
#define xlScreen                                 1
#define xlScreenSize                             1
#define xlScrollBar                              8
#define xlSecondary                              2
#define xlSecondaryButton                        2
#define xlSecondCode                             24
#define xlSelect                                 3
#define xlSelectionScope                         0
#define xlSemiautomatic                          2
#define xlSemiGray75                             10
#define xlSendPublisher                          2
#define xlSeries                                 3
#define xlSeriesAxis                             3
#define xlSeriesLines                            22
#define xlSet                                    3
#define xlShape                                  14
#define xlShared                                 2
#define xlSheetHidden                            0
#define xlSheetVeryHidden                        2
#define xlSheetVisible                           -1
#define xlShiftDown                              -4121
#define xlShiftToLeft                            -4159
#define xlShiftToRight                           -4161
#define xlShiftUp                                -4162
#define xlShort                                  1
#define xlShowLabel                              4
#define xlShowLabelAndPercent                    5
#define xlShowPercent                            3
#define xlShowValue                              2
#define xlSides                                  1
#define xlSimple                                 -4154
#define xlSinceMyLastSave                        1
#define xlSingle                                 2
#define xlSingleAccounting                       4
#define xlSingleQuote                            2
#define xlSizeIsArea                             1
#define xlSizeIsWidth                            2
#define xlSkipColumn                             9
#define xlSmartTagControlActiveX                 13
#define xlSmartTagControlButton                  6
#define xlSmartTagControlCheckbox                9
#define xlSmartTagControlCombo                   12
#define xlSmartTagControlHelp                    3
#define xlSmartTagControlHelpURL                 4
#define xlSmartTagControlImage                   8
#define xlSmartTagControlLabel                   7
#define xlSmartTagControlLink                    2
#define xlSmartTagControlListbox                 11
#define xlSmartTagControlRadioGroup              14
#define xlSmartTagControlSeparator               5
#define xlSmartTagControlSmartTag                1
#define xlSmartTagControlTextbox                 10
#define xlSolid                                  1
#define xlSortColumns                            1
#define xlSortLabels                             2
#define xlSortNormal                             0
#define xlSortOnCellColor                        1
#define xlSortOnFontColor                        2
#define xlSortOnIcon                             3
#define xlSortOnValues                           0
#define xlSortRows                               2
#define xlSortTextAsNumbers                      1
#define xlSortValues                             1
#define xlSourceAutoFilter                       3
#define xlSourceChart                            5
#define xlSourcePivotTable                       6
#define xlSourcePrintArea                        2
#define xlSourceQuery                            7
#define xlSourceRange                            4
#define xlSourceSheet                            1
#define xlSourceWorkbook                         0
#define xlSpeakByColumns                         1
#define xlSpeakByRows                            0
#define xlSpecificDate                           29
#define xlSpecifiedTables                        3
#define xlSpinner                                9
#define xlSplitByCustomSplit                     4
#define xlSplitByPercentValue                    3
#define xlSplitByPosition                        1
#define xlSplitByValue                           2
#define xlSquare                                 1
#define xlSrcExternal                            0
#define xlSrcQuery                               3
#define xlSrcRange                               1
#define xlSrcXml                                 2
#define xlStack                                  2
#define xlStackScale                             3
#define xlStandardSummary                        1
#define xlStar                                   5
#define xlStDev                                  -4155
#define xlStDevP                                 -4156
#define xlStError                                4
#define xlStretch                                1
#define xlStrict                                 2
#define xlStroke                                 2
#define xlSubscriber                             2
#define xlSubscribers                            6
#define xlSubscribeToPicture                     -4147
#define xlSubscribeToText                        -4158
#define xlSubtotalColumn1                        13
#define xlSubtotalColumn2                        14
#define xlSubtotalColumn3                        15
#define xlSubtotalRow1                           16
#define xlSubtotalRow2                           17
#define xlSubtotalRow3                           18
#define xlSubtract                               3
#define xlSum                                    -4157
#define xlSummaryAbove                           0
#define xlSummaryBelow                           1
#define xlSummaryOnLeft                          -4131
#define xlSummaryOnRight                         -4152
#define xlSummaryPivotTable                      -4148
#define xlSyllabary                              1
#define xlSystem                                 1
#define xlTable                                  2
#define xlTable1                                 10
#define xlTable10                                19
#define xlTable2                                 11
#define xlTable3                                 12
#define xlTable4                                 13
#define xlTable5                                 14
#define xlTable6                                 15
#define xlTable7                                 16
#define xlTable8                                 17
#define xlTable9                                 18
#define xlTableBody                              8
#define xlTabPositionFirst                       0
#define xlTabPositionLast                        1
#define xlTabular                                0
#define xlTabularRow                             1
#define xlTenMillions                            -7
#define xlTenThousands                           -4
#define xlText                                   -4158
#define xlTextBox                                16
#define xlTextDate                               2
#define xlTextFormat                             2
#define xlTextImport                             6
#define xlTextQualifierDoubleQuote               1
#define xlTextQualifierNone                      -4142
#define xlTextQualifierSingleQuote               2
#define xlTextString                             9
#define xlTextValues                             2
#define xlTextVisualLTR                          1
#define xlTextVisualRTL                          2
#define xlThemeColorAccent1                      5
#define xlThemeColorAccent2                      6
#define xlThemeColorAccent3                      7
#define xlThemeColorAccent4                      8
#define xlThemeColorAccent5                      9
#define xlThemeColorAccent6                      10
#define xlThemeColorDark1                        1
#define xlThemeColorDark2                        3
#define xlThemeColorFollowedHyperlink            12
#define xlThemeColorHyperlink                    11
#define xlThemeColorLight1                       2
#define xlThemeColorLight2                       4
#define xlThemeFontMajor                         1
#define xlThemeFontMinor                         2
#define xlThemeFontNone                          0
#define xlThisMonth                              9
#define xlThisWeek                               3
#define xlThousandMillions                       -9
#define xlThousands                              -3
#define xlThousandsSeparator                     4
#define xlThreadModeAutomatic                    0
#define xlThreadModeManual                       1
#define xlTickLabelOrientationAutomatic          -4105 ; WB variable name is too long (1).
#define xlTickLabelOrientationDownward           -4170
#define xlTickLabelOrientationHorizontal         -4128 ; WB variable name is too long (2).
#define xlTickLabelOrientationUpward             -4171
#define xlTickLabelOrientationVertical           -4166
#define xlTickLabelPositionHigh                  -4127
#define xlTickLabelPositionLow                   -4134
#define xlTickLabelPositionNextToAxis            4
#define xlTickLabelPositionNone                  -4142
#define xlTickMarkCross                          4
#define xlTickMarkInside                         2
#define xlTickMarkNone                           -4142
#define xlTickMarkOutside                        3
#define xlTIF                                    9
#define xlTiled                                  1
#define xlTimeLeadingZero                        45
#define xlTimePeriod                             11
#define xlTimeScale                              3
#define xlTimeSeparator                          18
#define xlTitleBar                               8
#define xlToday                                  0
#define xlToLeft                                 -4159
#define xlTomorrow                               6
#define xlToolbar                                1
#define xlToolbarButton                          2
#define xlToolbarProtectionNone                  -4143
#define xlTop                                    -4160
#define xlTop10                                  5
#define xlTop10Bottom                            0
#define xlTop10Items                             3
#define xlTop10Percent                           5
#define xlTop10Top                               1
#define xlTopCount                               1
#define xlTopPercent                             3
#define xlTopSum                                 5
#define xlTopToBottom                            1
#define xlToRight                                -4161
#define xlTotalRow                               2
#define xlTotalsCalculationAverage               2
#define xlTotalsCalculationCount                 3
#define xlTotalsCalculationCountNums             4
#define xlTotalsCalculationCustom                9
#define xlTotalsCalculationMax                   6
#define xlTotalsCalculationMin                   5
#define xlTotalsCalculationNone                  0
#define xlTotalsCalculationStdDev                7
#define xlTotalsCalculationSum                   1
#define xlTotalsCalculationVar                   8
#define xlTransparent                            2
#define xlTrendline                              8
#define xlTriangle                               3
#define xlTypePDF                                0
#define xlTypeXPS                                1
#define xlUnderlineStyleDouble                   -4119
#define xlUnderlineStyleDoubleAccounting         5 ; WB variable name is too long (2).
#define xlUnderlineStyleNone                     -4142
#define xlUnderlineStyleSingle                   2
#define xlUnderlineStyleSingleAccounting         4 ; WB variable name is too long (2).
#define xlUnique                                 0
#define xlUniqueValues                           8
#define xlUnknown                                1000
#define xlUnlockedCells                          1
#define xlUnlockedFormulaCells                   6
#define xlUp                                     -4162
#define xlUpBars                                 18
#define xlUpdateLinksAlways                      3
#define xlUpdateLinksNever                       2
#define xlUpdateLinksUserSetting                 1
#define xlUpdateState                            1
#define xlUpdateSubscriber                       2
#define xlUpperCaseColumnLetter                  7
#define xlUpperCaseRowLetter                     6
#define xlUpward                                 -4171
#define xlUserDefined                            22
#define xlUserResolution                         1
#define xlValidAlertInformation                  3
#define xlValidAlertStop                         1
#define xlValidAlertWarning                      2
#define xlValidateCustom                         7
#define xlValidateDate                           4
#define xlValidateDecimal                        2
#define xlValidateInputOnly                      0
#define xlValidateList                           3
#define xlValidateTextLength                     6
#define xlValidateTime                           5
#define xlValidateWholeNumber                    1
#define xlVAlignBottom                           -4107
#define xlVAlignCenter                           -4108
#define xlVAlignDistributed                      -4117
#define xlVAlignJustify                          -4130
#define xlVAlignTop                              -4160
#define xlVALU                                   8
#define xlValue                                  2
#define xlValueDoesNotEqual                      8
#define xlValueEquals                            7
#define xlValueIsBetween                         13
#define xlValueIsGreaterThan                     9
#define xlValueIsGreaterThanOrEqualTo            10
#define xlValueIsLessThan                        11
#define xlValueIsLessThanOrEqualTo               12
#define xlValueIsNotBetween                      14
#define xlValues                                 -4163
#define xlVar                                    -4164
#define xlVarP                                   -4165
#define xlVerbOpen                               2
#define xlVerbPrimary                            1
#define xlVertical                               -4166
#define xlVeryHidden                             2
#define xlVisible                                12
#define xlVisualCursor                           2
#define xlWait                                   2
#define xlWalls                                  5
#define xlWatchPane                              11
#define xlWBATChart                              -4109
#define xlWBATExcel4IntlMacroSheet               4
#define xlWBATExcel4MacroSheet                   3
#define xlWBATWorksheet                          -4167
#define xlWebFormattingAll                       1
#define xlWebFormattingNone                      3
#define xlWebFormattingRTF                       2
#define xlWebQuery                               4
#define xlWeekday                                2
#define xlWeekdayNameChars                       31
#define xlWhole                                  1
#define xlWholeTable                             0
#define xlWide                                   3
#define xlWindows                                2
#define xlWithinSheet                            1
#define xlWithinWorkbook                         2

#define xlWMF                                    2
#define xlWorkbook                               1
#define xlWorkbookTab                            6

#define xlWorksheet                              -4167
#define xlWorksheet4                             1
#define xlWorksheetCell                          3
#define xlWorksheetShort                         5
#define xlWPG                                    3

#define xlX                                      -4168
#define xlXErrorBars                             10
#define xlXmlExportSuccess                       0
#define xlXmlExportValidationFailed              1
#define xlXmlImportElementsTruncated             1
#define xlXmlImportSuccess                       0
#define xlXmlImportValidationFailed              2
#define xlXmlLoadImportToList                    2
#define xlXmlLoadMapXml                          3
#define xlXmlLoadOpenXml                         1
#define xlXmlLoadPromptUser                      0


#define xlY                                      1
#define xlYDMFormat                              8
#define xlYear                                   4
#define xlYearCode                               19
#define xlYears                                  2
#define xlYearToDate                             52
#define xlYErrorBars                             11
#define xlYes                                    1
#define xlYesterday                              1
#define xlYMDFormat                              5
#define xlZero                                   2
